Bug 237295 - sysutils/puppetserver5: puppetserver_java_opts missing in files/puppetserver.in
Summary: sysutils/puppetserver5: puppetserver_java_opts missing in files/puppetserver.in
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Puppet Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-15 08:56 UTC by linus.sundqvist
Modified: 2019-04-30 18:17 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (puppet)


Attachments
patch for files/puppetserver.in (1.09 KB, patch)
2019-04-15 08:56 UTC, linus.sundqvist
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description linus.sundqvist 2019-04-15 08:56:56 UTC
Created attachment 203687 [details]
patch for files/puppetserver.in

puppetserver_java_opts is noted as a valid option in the comments/description of the rc-script for puppetserver, but is never used as a variable in the start-up command.

I've attached a patch for it, if needed.
Comment 1 Zach Leslie freebsd_committer 2019-04-17 16:00:45 UTC
Hi. Thank you for the patch.  I can take a closer look in the next few evenings and work to get this tested and committed.
Comment 2 Zach Leslie freebsd_committer 2019-04-23 15:54:06 UTC
I've put up a review for this and tested it.  Will commit once approved.
Comment 3 Romain Tartière freebsd_committer 2019-04-23 16:45:42 UTC
Link to review:
https://reviews.freebsd.org/D20010

Thanks Zach!
Comment 4 linus.sundqvist 2019-04-24 06:48:21 UTC
Nice, thanks!

I see that there is the same "issue" with databases/puppetdb5 and puppetdb6, which I think you also maintain, perhaps a review could be created for it as well, or should I create a new bug report here for it? (puppetdb_java_opts is missing in the command_args, but is noted in the rc-script)
Comment 5 Romain Tartière freebsd_committer 2019-04-24 06:57:23 UTC
Good catch!

I think we can handle all this in this PR and update the review accordingly?
Comment 6 commit-hook freebsd_committer 2019-04-30 18:12:38 UTC
A commit references this bug:

Author: zleslie
Date: Tue Apr 30 18:12:02 UTC 2019
New revision: 500514
URL: https://svnweb.freebsd.org/changeset/ports/500514

Log:
  Ensure java options are utilized

  Without this change, the doc for the rc script references the ability pass Java opts to the start command, but those references are never used. Here we ensure that thse options are respected and implemented.

  PR:		237295
  Reviewed by:	mat(mentor),romain
  Approved by:	mat(mentor),romain
  Differential Revision:	D20010

Changes:
  head/databases/puppetdb5/Makefile
  head/databases/puppetdb5/files/puppetdb.in
  head/databases/puppetdb6/Makefile
  head/databases/puppetdb6/files/puppetdb.in
  head/sysutils/puppetserver5/Makefile
  head/sysutils/puppetserver5/files/puppetserver.in
  head/sysutils/puppetserver6/Makefile
  head/sysutils/puppetserver6/files/puppetserver.in
Comment 7 Zach Leslie freebsd_committer 2019-04-30 18:17:40 UTC
Thanks for the report!  A fix for this has been committed.